# <H1 align="center">Модуль "Закрыть Excel-файл"</h1> 

<p> Excel-модуль работает с файлами следующим образом – как только он начинает работу с некоторым файлом, то он открывает его (в фоновом, незаметном для пользователя, режиме), и держит открытым до конца работы робота. Это было сделано для ускорения работы модуля Excel – если модулей, использующих один и тот же файл, к примеру, несколько, пришлось бы несколько раз открывать и сохранять файл столько раз, сколько он используется что отразилось бы на быстродействии программы. В связи с этим, файл открывается при первом его использовании в модуле Excel и сохраняется только один раз – в самом конце. Но! Так как файл является открытым, с самим файлом нельзя ничего делать – переносить, архивировать, удалять за ненадобностью (например, провели расчеты в новом файле, взяли данные и затем его удалили), так как он занят. Для таких задач существует модуль «Закрыть Excel-файл» - он закрывает и сохраняет заданные ему файлы. Если эти файлы впоследствии снова будут использоваться – они опять откроются и, в следующий раз, будут закрыты либо этим же модулем, либо в конце работы робота.</p>
## Интерфейс модуля
<p> Интерфейс модуля состоит из одного поля и списка путей к файлам, которые необходимо закрыть.</p>
<H1 align="center">![Screenshot](img/excel_61.png)</h1>
<p> Поле «Путь к файлу» заполняется путем до файла, который необходимо закрыть. Он может содержаться в переменной, или можно выбрать его вручную, нажав на кнопку с изображением папки, находящуюся в поле для ввода.</p> 
<p> По кнопке «Добавить» указанный в поле «Путь к файлу» путь будет занесен в «Список файлов». </p>
<p> По кнопке «Удалить» можно удалить выбранный путь из «Списка файлов».</p>