# <H1 align="center">Модуль «Цикл»</h1> 

<p> Модуль «Цикл» применяется для неоднократного (цикличного) выполнения набора действий. Действия, добавленные в модуль, будут выполняться до тех пор, пока не пройдёт указанное в настройках количество итераций. </p>

## Интерфейс модуля
<p> Модуль состоит из полей «Примечание», «Количество итераций» и «Переменная». Действия, которые должны выполняться в цикле, добавляются в блок, расположенный в нижней части модуля. Действия добавляются в модуль перетаскиванием их из меню или другого места рабочей области.
<p> Модуль выглядит следующим образом:
<H1 align="center">![Screenshot](img/cycle_1.png)</h1> 
<p> Поле «Примечание», как и во всех других модулях, служит для внесения комментария от разработчика робота. 
<p> Остальные поля присущи только этому модулю. 
<p> Поле «Количество итераций» предназначено для ввода числа, означающего, сколько раз необходимо выполнить действия, содержащиеся в модуле.
<p> Поле «Переменная» - переменная, в которой будет храниться число – текущий шаг цикла. Цикл начинается с единицы.
<p> Пример заполненного цикла:
<H1 align="center">![Screenshot](img/cycle_2.png)</h1> 
<p> По кнопке «Свернуть» можно свернуть действия цикла для более компактного отображения команды.
<H1 align="center">![Screenshot](img/cycle_3.png)</h1> 