# <H1 align="center">Модуль «Поиск изображений»</h1> 

<p> Модуль «Поиск изображений» аналогичен модулю «Поиск изображения» с одним лишь отличием в том, что этот модуль возвращает список всех найденных изображений, а не одного.</p>

## Интерфейс модуля
<p> Интерфейс этого модуля очень похож на интерфейс модуля «Поиск изображения», но в нем вместо полей «Координата X», «Координата Y» и «Результат» только одно поле – «Переменная», а также появилось поле «Минимальная дистанция».
<H1 align="center">![Screenshot](img/is_2.png)</h1> 
<p> В поле «Переменная» вводится название переменной с символа «@», в которую запишется результат поиска. 
<p> Поле «Кол-во попыток» заполняется числом, указывающим, сколько раз пробовать искать изображения, если с первого раза ни одного найти не удалось. 
<p> Поле «Пауза» предназначено для указания паузы между попытками поиска в миллисекундах.
<p> В поле «Процент совпадения» вводится значение от 0 до 100, указывающее, насколько сильно совпадают изображение, которое будет искаться, с фрагментом изображения на текущем экране. Чем больше число, тем сильнее они должны совпадать.
<p> Поле «Минимальная дистанция» заполняется числом, указывающим, какое минимальное количество пикселей должно быть между двумя одинаковыми изображениями. В некоторых задачах может быть потребоваться отсекать изображения, которые расположены достаточно близко друг к другу и получать только первое из этих изображений (начиная с верхнего левого угла). Обратите внимание, если это расстояние поставить совсем маленьким (не менее 5 пикселей) или равным 0, то одно изображение может быть найдено несколько раз!
## Выходные данные
<p> В указанную переменную будет записан список объектов, количество которых будет равно количеству найденных изображений на экране. Каждый объект соответствует найденному изображению. Для обращения к конкретному изображению списка необходимо указывать его номер (нумерация с 0) в квадратных скобках после названия переменной, например @listImages[0].
<p> Каждый объект содержит три поля: «x», «y» и «similarity». В поле «x» содержится координата x выбранного изображения, в поле «y» - координата y, а в поле «similarity» - процент совпадения найденного изображения с искомым. 
