# <H1 align="center">Модуль «Распознавание текста»</h1> 

<p> Модуль «Распознавание текста» предназначен для считывания текста с указанного изображения и представления полученного текста в формате XML.</p>

## Интерфейс модуля
<p> Модуль состоит из двух полей – «Путь к файлу» и «Переменная», и флажка «Скриншот».
<H1 align="center">![Screenshot](img/OCR_1.png)</h1> 
<p> Поле «Путь к файлу». Заполняется путем до файла, который необходимо распознать. Это может быть картинка или PDF-документ.
<p> Поле «Переменная». Заполняется названием переменной, начиная с символа «@», в которую будет помещен результат распознавания.
<p> Флажок «Скриншот». Флажок ставится, когда необходимо распознать скриншот экрана в момент работы данного модуля в процессе выполнения робота. В таком случае поле «Путь к файлу» указывать не нужно.
## ПРИМЕР
<p> Пусть имеется следующее изображение формата jpeg. Подадим его в модуль распознавания текста.
<H1 align="center">![Screenshot](img/OCR_2.png)</h1> 
<p> Результат, записанный в переменную при распознавании изображения:
<H1 align="center">![Screenshot](img/OCR_3.png)</h1> 
<p> Результат содержит информацию о страницах, координате и значении каждого слова изображения.
