# <H1 align="center">ОРКЕСТРАТОР</h1>

## Общая информация
<p>  Оркестратор роботов - сервис запуска роботов по составленному расписанию и/или некоторым событиям. Доступ к оркестратору осуществляется по нажатию кнопки ![Screenshot](img/Orkes_1.png) в панели управления главного окна студии. После нажатия на кнопку будет открыто окно, позволяющее опубликовать нового робота и/или настроить расписание запусков уже опубликованных роботов</p>
<H1 align="center">![Screenshot](img/Orkes_2.png)</h1> 
<p>  Оркестратор состоит из 3-х разделов и кнопки публикации текущего робота. Разделы оркестратора:
<p>  •	Задачи – раздел, позволяющий создавать новую задачу;
<p>  •	Роботы – список всех опубликованных текущим пользователем роботов;
<p>  •	Список задач пользователя – список всех задач, созданных текущим пользователем.
<p>  Кнопка «Опубликовать текущего робота» добавляет активного на данный момент в студии робота в список опубликованных роботов.
<p>  После создания всех задач необходимо просто закрыть окно оркестратора.
<p>  Для работы оркестратора необходимо установить программу Lexema-RPA Client, которая, находясь в фоновом режиме работы на компьютере, просматривает созданные вами задачи и запускает роботов в соответствии с их расписанием. Для её скачивания необходимо посетить <a href="http://lexema.ru/solutions/lexema-rpa-programmnye-roboty/lexema-rpa-studio/">сайт </a> и выбрать там «Скачать Lexema-RPA Client». Инструкция по использованию находится там же.
## Создание новой задачи
<p>  Для создания расписания запуска одного робота нужно создать задачу. Для настройки задачи необходимо заполнить 5 полей – это наименование задачи, выбор робота из опубликованных, время первого запуска робота, количество повторов и интервал запуска.
<H1 align="center">![Screenshot](img/Orkes_3.png)</h1> 
<p>  Наименование задачи. Название задачи для запуска конкретного робота, идентификатор, по которому вам будет удобнее ориентироваться среди всех ваших задач.
<p>  Робот. Выбор робота, для которого составляется задача запуска. Поле представлено выпадающим списком, в котором предложены все ваши опубликованные роботы.
<H1 align="center">![Screenshot](img/Orkes_4.png)</h1>
<p>  Первый запуск. Время первого запуска робота, после которого он будет запускаться с определенным интервалом. Выбираются и дата, и время.
<p>  Повторы. Общее количество повторных запусков робота. Если робота повторять не нужно, и он должен отработать только 1 раз, количество повторов равно 0. Если необходимо, чтобы робот отрабатывал по 2 раза в день в течение недели, не учитывая его первый запуск, то количество повторов равно 2*7-1 = 13.
<p>  Интервал запуска. Время, через которое необходим повторный запуск робота (если повторы есть). Для настройки поля необходимо нажать на кнопку-стрелочку в углу поля.
<H1 align="center">![Screenshot](img/Orkes_5.png)</h1>
<p>  По нажатию на неё откроется вспомогательно окно выбора интервала запуска робота.
<H1 align="center">![Screenshot](img/Orkes_6.png)</h1>
<p>  Если необходимо, чтобы робот запускался 25 числа каждого месяца, необходимо в первом запуске установить дату ближайшего 25 числа месяца, а настройке интервала ввести значение «1» в строке «Месяц», то есть, осуществлять повторы каждый месяц. 
<p>  Между каждым повтором будет установлен одинаковый интервал. Если необходимо запускать робота с разными временными интервалами, то необходимо создать несколько задач его запуска, например, если требуется запуск в 10:00 и в 13:00 одного дня на протяжении недели, то необходимо создать две задачи, количество повторений которых равно 6 (каждый день, не считая первого запуска), интервал запуска – 24 часа или 1 день, отличаться у этих задач будут только время первого запуска – у одной в 10:00 дня, когда нужно начать, у другой – в 13:00.
<p>  После заполнения нужных строк в окне интервала и нажатию на кнопку «Сохранить», в поле «Интервал» отобразится строка вида «год:месяц:день:час:минуты:секунды», например, при установке интервала в 12 часов, строка будет иметь вид «0:0:0:12:0:0». Поле «Интервал» является обязательным, если количество повторов отличное от 0.
<p>  Пример заполненной задачи:
<H1 align="center">![Screenshot](img/Orkes_7.png)</h1>
<p>  По нажатию кнопки «Добавить», расположенной под полями для настройки задач, задача будет добавлена в список задач.
<H1 align="center">![Screenshot](img/Orkes_8.png)</h1>
<p>  Для редактирования существующей задачи необходимо найти её в списке задач и нажать на неё (1). После этого будут заполнены поля для настройки задачи соответствующими полями. Затем, после редактирования полей (2), необходимо нажать на кнопку «Редактировать» и изменения сохранятся (3).
<H1 align="center">![Screenshot](img/Orkes_9.png)</h1>
<p>  Для удаления задачи её нужно найти и выбрать в списке задач пользователя и затем нажать кнопку «Удалить».