# <H1 align="center">Модуль «Отправить письмо»</h1> 

<p> Модуль «Отправить письмо» предназначен для отправки письма одному или нескольким получателям.</p>

## Интерфейс модуля
<p> Окно модуля состоит из нескольких вкладок: «Настройки», «Получатель», «Письмо». Рассмотрим по порядку все вкладки. Начнем знакомство с рассмотрения вкладки «Настройки».
### Вкладка «Настройки»
<H1 align="center">![Screenshot](img/SE_1.png)</h1> 
<p> Поле «Настройки» – выпадающий список, в котором предложены несколько почтовых служб. При выборе почтовой службы будут заполнены поля «Хост», «Порт» и установлен флажок «Использовать SSL» согласно её настройкам. Пункт "Пользовательские" предоставляет возможность самостоятельной настройки параметров доступа к почтовой службе
<H1 align="center">![Screenshot](img/SE_2.png)</h1> 
<p> Поля «Хост», «Порт» и  флажок «Использовать SSL» необходимы к заполнению только при выборе пользовательских настроек. Представляют собой набор обязательных полей для подключения к почтовым сервисам.
<p> Поле «E-mail» предназначено для указания адреса электронной почты, с которой будут отправлены сообщения, в формате name@mail.ru.
<p> Поле «Пароль» предназначено для ввода пароля от почты, указанной в поле «E-mail».
<H1 align="center">![Screenshot](img/SE_3.png)</h1> 
### Вкладка «Получатель»
<p> На данной вкладке заполняется информация о лицах, которым будет отправлено письмо. 
<p> Модуль предоставляет различные способы указания получателей, а именно:
<p> •	ручной ввод списка получателей (имена и e-mail’ы);
<p> •	из переменной-элемента, в виде одного e-mail’а;
<p> •	из переменной-списка, в виде нескольких e-mail’ов.
<H1 align="center">![Screenshot](img/SE_4.png)</h1> 
<p> Если выбран переключатель «Список», то поле «Переменная» недоступно для ввода, иначе – наоборот, доступно поле «Переменная», но недоступны другие поля.
<p> Для ввода получателей методом «Список» необходимо заполнить поля «Имя получателя» и «E-mail получателя», затем нажать на кнопку под полями «Добавить». После этого введенные значения появятся в таблице в центре окна. Если необходимо удалить какого-либо получателя из таблицы, необходимо выбрать строку с ним и нажать на кнопку «Удалить».
<H1 align="center">![Screenshot](img/SE_5.png)</h1> 
<p> Если используется метод выбора получателей через переменную, то поля «Имя получателя», «E-mail получателя» и таблица становятся недоступными. В поле «Переменная» необходимо ввести название переменной, начиная с символа «@», из которой будут взяты email’ы получателей.
<H1 align="center">![Screenshot](img/SE_6.png)</h1> 
### Вкладка «Письмо»
<p> На данной вкладке настраивается письмо, которое будет отправлено получателям, указанным на вкладке «Получатель». Все поля необязательны для заполнения, если не заполнить ни одного из них будет отправлено пустое письмо с темой «<Без темы>».
<H1 align="center">![Screenshot](img/SE_7.png)</h1> 
<p> Для прикрепления одного файла во вложение следует нажать на кнопку «Выбрать файл» и в открывшемся диалоговом окне выбрать требуемый файл.
<p> Для прикрепления сразу нескольких файлов необходимо нажать на кнопку «Выбрать папку» и в открывшемся диалоговом окне выбрать папку со всеми требуемыми файлами. 
<p> Каждое из полей формы может быть заполнено переменной.
