# <H1 align="center">Модуль «Запустить процесс»</h1> 

<p> Модуль «Запустить процесс» предназначен для запуска каких-либо приложений. Это может быть браузер, MS Word, 1С и другие.</p>  

## Интерфейс модуля
<p> Окно модуля состоит из полей «Путь к файлу», «Параметры», флажок «От имени администратора», «Пауза», «Переменная с именем процесса» и «Переменная с id процесса», а также кнопок «Сохранить» и «Отмена».
<H1 align="center">![Screenshot](img/SP_1.png)</h1> 
<p> Поле «Путь к файлу». В данное поле вводится название стандартного процесса Windows (например, notepad – блокнот), либо путь до корневого расположения программы, например, стандартный путь до браузера Google Chrome - C:\Program Files (x86)\Google\Chrome\Application\chrome.exe. 
<p> Поле «Параметры» является необязательным полем, в него вводятся аргументы вызываемого приложения. Например, для открытия нового блокнота или чистого листа Excel-аргументы не нужны, но если необходимо открыть конкретный файл, то в аргументы передается название файла, а если открывается браузер, то аргументом может быть ссылка на сайт.
<H1 align="center">![Screenshot](img/SP_2.png)</h1> 
<p> Флажок «От имени администратора» запускает процесс с правами, позволяющими запускаемому процессу вносить изменения в системные файлы компьютера. Если вы не доверяете приложению, то не стоит ставить этот флажок.
<p> Поле «Пауза» устанавливает время ожидания после начала запуска процесса.
<p> Поле «Переменная с именем/id процесса». В данное поле вводятся переменные, в которые будут помещены имя и идентификатор (id) запускаемого процесса соответственно. Данные параметры нужны, чтобы в дальнейшем можно было завершить (закрыть) указанные процессы. Если у вас задача только запустить процессы, то можете оставить эти поля пустыми.
