# <H1 align="center">Знакомство со студией</h1> 

<p> </p>

## Интерфейс главного окна
<p> Пользовательский интерфейс студии Lexema-RPA Studio характеризуется областью для работы с проектами (рабочей областью), расположенной в центре главного окна программы. Прямо над рабочей областью располагается полоса с кнопками управления проектом. Слева от рабочей области находится меню, в котором собраны модули для создания роботов, справа – обозреватель решений, прямо под рабочей областью – отладочный вывод.</p>
### Главное окно
<p> Главное окно студии имеет несколько разделов и основные кнопки управления проектом/ 
<H1 align="center">![Screenshot](img/HS_1.png)</h1> 
<p> Все панели (меню, обозреватель решений и отладочный вывод) могут быть закреплены или открываться при наведении на них.
<p> Чтобы открепить или закрепить панель необходимо нажать на иконку с изображением канцелярской кнопки ![Screenshot](img/HS_2.png) в правом верхнем углу панели.
<H1 align="center">![Screenshot](img/HS_3.png)</h1> 
<p> Студия имеет две цветовые схемы – светлая тема, та, которая идет по умолчанию, и темная. Для перехода на темную тему необходимо нажать на слайдер «Темная тема», находящийся между кнопками управления и информацией о текущем пользователе.
<p> Функционал разделов главного окна студии будет описан ниже.
### Кнопки управления
<p> Кнопки управления проектом находятся на верхней панели главного окна студии и предназначены для осуществления основных манипуляций с проектом: создания ![Screenshot](img/HS_4.png) , сохранения ![Screenshot](img/HS_5.png)  , открытия ![Screenshot](img/HS_6.png)  , выполнения описанных в проекте действий  ![Screenshot](img/HS_7.png) и выхода из программы ![Screenshot](img/HS_8.png) .
<p> Также поддерживаются различные комбинации горячих клавиш. Например, для создания проекта можно использовать комбинацию Ctrl+N. 
<p> Более подробно поддерживаемые комбинации горячих клавиш описаны в разделе «Горячие клавиши».
#### Создать 
<p> Нажатие на кнопку «Создать» вызывает окно создания нового проекта.
<H1 align="center">![Screenshot](img/HS_9.png)</h1> 
<p> В открывшемся окне необходимо ввести имя нового проекта, дополнительно можно указать его описание. Нажатие на кнопку «Создать» в указанном окне завершит процесс создания проекта. Новый проект будет открыт в главном окне студии.
<H1 align="center">![Screenshot](img/HS_10.png)</h1> 
#### Сохранить
<p> Кнопка «Сохранить» вызывает стандартный диалог сохранения файла. 
<p> Для нового проекта в диалоговом окне необходимо выбрать папку назначения и название файла, в котором будет сохранен проект (по умолчанию, предлагается название проекта, которое вы задали при его создании). Файлы проектов Lexema-RPA Studio имеют расширение «.rpa». После выбора папки для сохранения, необходимо нажать на кнопку «Сохранить». По завершении операции, файл проекта будет сохранен по указанному расположению. Существующий проект будет сохранен в его текущем расположении.
#### Сохранить как
<p> Кнопка «Сохранить как» вызывает стандартный диалог сохранения файла, аналогичный окну сохранения нового проекта.
<p> В диалоговом окне предоставляется возможность для изменения наименования или расположения файла проекта.
#### Открыть
<p> Кнопка «Открыть» вызывает стандартный диалог выбора файла. 
<p> Выбранный файл проекта будет загружен в главное окно студии.
<H1 align="center">![Screenshot](img/HS_11.png)</h1> 
#### Проиграть
<p> Кнопка «Проиграть» запускает выполнение всех описанных в проекте действий. 
<p> Попытка запуска будет осуществляться только в случае, если в проекте имеется хотя бы одно действие. Действия выполняются в порядке, описанном в структуре проекта. 
<p> В случае возникновения ошибок или исключительных ситуаций, они будут выведены в область «Отладочный вывод» (далее будет дано подробное описание области отладочного вывода).
#### Опубликовать
<p> Кнопка «Опубликовать» ![Screenshot](img/HS_12.png)  вызывает диалог публикации текущего проекта в оркестратор роботов .
#### Форум
<p> Кнопка «Форум» ![Screenshot](img/HS_13.png)  позволяет перейти на <a href="http://talk.lexema.ru/">веб-сайт </a> форума технической поддержки приложения.
#### О программе
<p> Кнопка «О программе»  ![Screenshot](img/HS_14.png) выводит диалоговое окно, содержащее информацию о текущей версии студии.
<H1 align="center">![Screenshot](img/HS_15.png)</h1> 
#### Выйти
Кнопка «Выйти» ![Screenshot](img/HS_16.png) закрывает студию.
### Меню
<p> В разделе «Меню» выводится список доступных для добавления в проект модулей. Каждый модуль отвечает за выполнение конкретного действия или за взаимодействие с определенной программой.
#### Список доступных модулей
<p> В программе Lexema-RPA Studio имеются следующие модули: Excel, Кликер, Поиск изображения (2 варианта), Запустить/Завершить процесс, Условие, Цикл, Вычисления, Работа с файлами, Код С#, Распознавание текста (обычное и ABBYY), SQL, Отправить/Считать письмо, HTTP GET/POST запросы, Break, JSON, Интерфейс, Закрыть Excel-файл, While. 
<p> В списке доступных модулей выводятся все имеющиеся модули.
#### Поиск модуля
<p> Поиск модуля можно выполнить с помощью текстового поля, расположенного над списком доступных модулей. Список будет фильтроваться по мере ввода поисковой фразы.
#### Добавление модуля в проект
<p> Для добавления выбранного модуля в проект необходимо перетащить его в рабочую область с помощью указателя мыши. Новый модуль можно расположить в нужной позиции в общей последовательности действий. Для этого необходимо навести курсор на соседний с нужной позицией модуль. При этом соседний модуль будет подсвечен красным выделением и положение нового модуля будет отображаться в виде яркого выделения сверху или снизу: сверху – если новый модуль будет добавлен перед соседним, снизу – если после него.
<H1 align="center">![Screenshot](img/HS_17.png)</h1> 
<H1 align="center">![Screenshot](img/HS_18.png)</h1> 
<H1 align="center">![Screenshot](img/HS_19.png)</h1> 
<H1 align="center">![Screenshot](img/HS_20.png)</h1> 
<H1 align="center">![Screenshot](img/HS_21.png)</h1> 
### Обозреватель решений
<p> Раздел «Обозреватель решений» находится в правой части главного окна. В верхней части раздела расположена панель управления переменными и функциями, прямо под панелью - область текущих проектов. Активный проект (окно которого сейчас открыто) выделен зеленым цветом и помечен маркером зеленая точка.
Панель управления переменными и функциями содержит следующие кнопки (перечисление слева направо): «Переменные», «Создать новую переменную», «Узнать значение переменной», «Локальное хранилище», «Создать локальную переменную», «Функции». При нажатии на одну из этих кнопок будут открыты или созданы те переменные или функции, которые относятся к активному проекту. Подробное описание кнопок будет приведено далее.
<H1 align="center">![Screenshot](img/HS_22.png)</h1> 
### Обзор переменных
<p> В рабочей области студии можно вывести информацию о доступных в активном проекте переменных. 
<p> Окно обзора переменных отображается во вкладке «Переменные» при нажатии на кнопку «Переменные» ![Screenshot](img/HS_23.png) в обозревателе решений.
<H1 align="center">![Screenshot](img/HS_24.png)</h1> 
<p> Окно содержит строку для поиска переменной по её названию и таблицу со списком всех доступных проекту переменных. Таблица имеет три столбца:
<p> •	Название переменной
<p> •	Константа — флаг, показывающий можно ли изменять значение данной переменной
<p> •	Значение переменной
<p> По умолчанию, переменные автоматически создаются при указании их в том или ином модуле. При создании проекта автоматически создаются системные переменные:
<p> •	@CurrentDirectory – директория, в которой установлена студия;
<p> •	@UserNameWindows – название пользователя ОС;
<p> •	@MachineName – имя компьютера.
<p> При двойном щелчке по строке с переменной открывается диалоговое окно редактирования свойств переменной. В диалоговом окне предоставляется возможность изменять свойства переменной или удалять переменную из проекта. Подробное описание работы с переменными будет рассмотрено ниже.
<H1 align="center">![Screenshot](img/HS_25.png)</h1> 
<p> Обзор функций
<p> Доступные в проекте функции выводятся в рабочей области студии во вкладке «Функции» по нажатию на кнопку  ![Screenshot](img/HS_26.png) в обозревателе решений. В окне имеется строка для поиска функции по её названию или описанию.
<p> Список доступных функций представлен в виде таблицы со следующими столбцами:
<p> •	Название функции — название функции и пример аргументов, которые она принимает;
<p> •	Пример использования — пример результата выполнения функции первого столбца;
<p> •	Описание — общее описание функции.
<H1 align="center">![Screenshot](img/HS_27.png)</h1>
#### Обзор локальных переменных
<p> Lexema-RPA Studio позволяет хранить конфиденциальную информацию, например, пароли, логины или почтовые адреса, в переменных, которые будут зашифрованы и сохранены на вашем компьютере. Обзор ваших локальных переменных доступен по кнопке «Локальное хранилище»  ![Screenshot](img/HS_28.png)  в панели управления переменными и функциями. Окно аналогично окну обзора общих переменных студии.
### Отладочный вывод
<p> В раздел «Отладочный вывод» главного окна студии выводятся все сообщения, возникающие в ходе выполнения настроенных действий проекта после нажатия на кнопку «Проиграть». Сообщения выводятся для всех действий по порядку их выполнения в проекте. 
<H1 align="center">![Screenshot](img/HS_29.png)</h1>
<p> В случае возникновения исключения в работе модуля, робот приостановит выполнение, и в отладочном выводе, в последней строке, будет содержаться информация об ошибке. Текст первой и последней строки отладочного вывода будет написан красным цветом.
<H1 align="center">![Screenshot](img/HS_30.png)</h1>
## Основы работы
### Переменные
<p> Переменные предназначены для хранения данных, которые должны быть доступны для всех действий проекта. Большинство модулей поддерживает чтение и запись данных в переменные.
<p> К наименованию переменных предъявляется следующее требование: название переменной должно всегда начинаться с символа @.
<p> 	Обращаться к переменным можно в полях окон настройки модулей приложения. При обращении необходимо указывать полное название переменной согласно описанному выше требованию.
<p> 	В проекте можно создавать переменные трёх типов:
<p> •	Элемент – переменная, имеющая одно значение. Это может быть строка или число;
<p> •	Список – переменная, состоящая из нескольких элементов;
<p> •	Таблица – переменная в виде таблицы, в ячейках которой содержатся элементы.
<p> Для создания переменной нажмите на кнопку «Создать переменную» в обозревателе решений, предварительно выбрав нужный проект (сделав его активным). Для создания локально хранимой и зашифрованной переменной необходимо нажать кнопку «Создать локальную переменную». После выполнения действия откроется окно создания переменной, это окно аналогично окну редактирования свойств переменной. Локальные переменные могут создаваться только с типом «Элемент», поэтому окно их настройки немного отличается от настройки обычных переменных.
<p> В окне создания переменной укажите название переменной согласно требованиям приложения (в начале наименования обязательно должен быть символ @) и выберите тип переменной из списка. При изменении типа переменной изменяются доступные настройки.
<p> Для переменных с типом «Элемент» доступны следующие настройки:
<p> •	поле для ввода значения;
<p> •	признак «Константа» (для констант обязательно указывать значение);
<p> •	шифрование переменной.
<H1 align="center">![Screenshot](img/HS_31.png)</h1>
<H1 align="center">![Screenshot](img/HS_32.png)</h1>
<H1 align="center">![Screenshot](img/HS_33.png)</h1>
<H1 align="center">![Screenshot](img/HS_34.png)</h1>
<p> Переменные с типом «Список» хранят набор (массив) переменных. Обращение к каждому элементу списка осуществляется по его индексу, индекс начинается с 0. Индекс указывается в квадратных скобках, следующих сразу за названием переменной. Например, для обращения ко второму элементу - @array[1]. 
<H1 align="center">![Screenshot](img/HS_35.png)</h1>
<p> Для создания переменных-списков становится доступной таблица, в которой можно заполнить требуемые значения. Значения вводятся в ячейки. Добавление следующего элемента осуществляется по нажатию клавиши «Enter».
<p> Переменные с типом «Таблица» представляют собой таблицу (двумерный массив), т.е. это список, элементами которого являются списки. Другими словами, это набор однотипных данных, имеющий общее имя, доступ, к элементам которого осуществляется по двум индексам. Наглядно двумерный массив удобно представлять в виде таблицы, в которой n строк и m столбцов, а под ячейкой таблицы, стоящей в i-й строке и j-м столбце понимают некоторый элемент массива a[i-1,j-1] (так как индекс начинается с нуля). Это означает, что для обращения к элементу в 3 строке и 5 столбце, отвечающему за ячейку таблицы, необходимо указывать два индекса: @table[2, 4]. 
<H1 align="center">![Screenshot](img/HS_36.png)</h1>
<p> Для заполнения значений переменных с типом «Таблица» становится доступной таблица, набор столбцов которой можно расширять с помощью кнопки «Добавить столбец». Добавление строк производится по нажатию клавиши «Enter». Вводить значения можно для каждой ячейки. Незаполненные столбцы не будут использоваться при создании переменной.
<p> При нажатии в обозревателе решений на кнопку «Узнать значение переменной» открывается окно, с помощью которого можно проверить значение переменной активного проекта. Для проверки значения необходимо ввести полное наименование переменной (включая символ @).
<H1 align="center">![Screenshot](img/HS_37.png)</h1>
<H1 align="center">![Screenshot](img/HS_38.png)</h1>
### Функции
<p> Предустановленный набор вспомогательных функций позволяет выполнять различные вычисления в действиях проекта.
<p> Для вызова встроенной функции необходимо перед её названием ввести знак #, например, #OperationPlus(1, 1). Аргументы функции, над которыми должна производится операция, перечисляются в круглых скобках через запятую (если функция работает с несколькими аргументами). Между наименованием вызываемой функции и скобками с её аргументами не должно быть пробела.
### Рабочая область
<p> Это основной раздел главного окна студии. Здесь осуществляется настройка структуры проекта и выполняемых в нём действий.
#### Структура проекта
<p> Действия добавляются с помощью меню доступных модулей. После добавления модуля в структуру проекта он отображается в виде элемента, обозначающего выполняемое действие.
<H1 align="center">![Screenshot](img/HS_39.png)</h1>
<p> Элемент действия имеет несколько составляющих:
<p> •	порядковый номер действия;
<p> •	название действия;
<p> •	настраиваемое пользователем примечание;
<p> •	кнопку удаления действия.
<p> В структуре проекта по нажатию правой кнопкой мыши на добавленное действие доступно контекстное меню со следующими пунктами:
<p> •	отключить/включить;
<p> •	снять/поставить точку остановки;
<p> •	копировать;
<p> •	вставить.
<H1 align="center">![Screenshot](img/HS_40.png)</h1>
<p> Пункт «Отключить/Включить» позволяет переключать активность выбранного действия. Выключенное действие будет пропущено при запуске проекта.
<p> Пункт «Снять/поставить точку остановки» создаёт или отключает точку остановки выполнения проекта. Точки остановки упрощают процесс наладки последовательности действий.
<p> Пункт «Копировать» копирует в буфер обмена выбранное действие для последующей вставки.
<p> Пункт «Вставить» вставляет скопированное действие после выделенного действия. Данный пункт доступен также при вызове контекстного меню в рабочей области главного окна студии.
<H1 align="center">![Screenshot](img/HS_41.png)</h1>
Пункт «Удалить» удаляет данный модуль из списка модулей (аналогичен нажатию крестика в правой части модуля).
#### Точка остановки
<p> Точка остановки – это инструмент, который помогает отлаживаться при написании робота. Такой инструмент позволяет остановить работу робота после выполнения выбранного модуля, при этом появляется окно с указанием всех переменных, доступных на данный момент выполнения, для ознакомления с их содержанием.
<H1 align="center">![Screenshot](img/HS_42.png)</h1>
<p> Редактировать переменные в данном окне нельзя. Для определения значения сложных переменных (переменные типов «Таблица» и «Список» или объекты) можно воспользоваться кнопкой «Узнать значение». 
<p> После ознакомления с переменными можно продолжить работу робота, а можно завершить, в любом из случаев это окно будет закрыто.
#### Настройка добавленных действий
<p> Окно настройки свойств действия, добавленного в структуру проекта, открывается с помощью двойного щелчка левой кнопкой мыши по указанному действию. Набор свойств, доступных в этом окне, зависит от выбранного действия. Подробнее о доступных свойствах каждого действия будет описано далее в руководстве.
