# <H1 align="center">Модуль «Парсинг JSON»</h1> 

<p> Данный модуль предназначен для обработки данных в формате JSON – парсинга JSON-объектов.</p>

## Интерфейс модуля
<p> В окне модуля расположены поля для ввода значений: «Переменная» и «JSON», и кнопки «Сохранить» и «Отмена».
<H1 align="center">![Screenshot](img/js_1.png)</h1> 
<p> Поле «Переменная». В поле «Переменная» вводится название переменной, которая будет преобразована в объектную переменную с полями, имеющимися в JSON-объекте.
<p> Поле «JSON». В поле необходимо описать объект в формате JSON, в виде пар «ключ»: «значение», обрамлённых в фигурные скобки. JSON-объект может быть описан непосредственно текстом в поле «JSON» либо быть созданным в процессе выполнения других модулей. В случае формирования JSON-объекта в других модулях, в поле необходимо ввести название переменной, в которой лежит необходимый объект.
## ПРИМЕР
<p> Пусть у нас есть текст в формате JSON. Введем его в поле JSON модуля, а результат пусть запишется в переменную @a.
<H1 align="center">![Screenshot](img/js_2.png)</h1> 
<p> В результате переменная @a станет объектом с полями «name» и «age». К полям объекта можно обратиться, написав название поля через точку после переменной. Проверить значение переменной можно с помощью функционала «Узнать значение переменной», доступного по кнопке    в обозревателе решений. 
<H1 align="center">![Screenshot](img/js_3.png)</h1>
<p> Видно, что на основе текста формата JSON создалась переменная с указанными в нем полями и заполненными значениями.