# <H1 align="center">ВВЕДЕНИЕ</h1>

<p>	Руководство предназначено для людей, которые хотят научиться писать роботов в программе Lexema-RPA Studio. Вы познакомитесь со всеми инструментами студии и основными модулями, применяемыми для создания роботов.</p>
<p>	Lexema-RPA Studio, далее именуемая просто студия, предоставляет пользователю возможность настраивать последовательность взаимодействий с разнообразными программами. Взаимодействие настраивается с помощью программных модулей, которые поставляются в составе студии. Каждый модуль представляет собой отдельный функционал, необходимый для выполнения конкретного действия, и механизмы для его настройки.</p> 
## Назначение программы
Программа Lexema-RPA Studio предназначена для разработки программных роботов.
## Что такое RPA?
Robotic process automation (или RPA) — это форма технологии автоматизации бизнес-процессов, основанная на метафорическом программном обеспечении роботов (ботов) или работников искусственного интеллекта. Роботы RPA используют пользовательский интерфейс для сбора данных и управления приложениями.
Более простыми словами, RPA — это программные роботы, которые эмулируют  действия человека, производимые им на компьютере.
## Что могут роботы?
Роботы могут выполнять рутинные операции на компьютере вместо человека:<br/>
•	вводить данные с клавиатуры, манипулировать мышью, считывать информацию с экрана, получать и обрабатывать почту, взаимодействовать с офисными программами;<br/>
•	интегрировать данные из одной системы в другую без использования дополнительных средств. 
## Сколько нужно времени для создания роботов?
Роботы создаются в простом графическом интерфейсе, и время, затраченное на робота, напрямую зависит от его сложности – простых роботов можно написать за пару часов, на более трудоемких может уйти несколько дней.
## Области использования роботов
### Роботы-дублёры (интеграторы)
•	Перенос информации из одной системы в другую;<br/>
•	Перезаполнение данных.
### HR-роботы 
•	Поиск вакансий по заданным критериям.
### Роботы-операторы
•	Регистрация и ввод данных по скан-копиям документов.
### Роботы-консолидаторы
•	Консолидация данных в отчет;<br/>
•	Массовая отправка или печать отчетов.
### Роботы-закупщики
•	Мониторинг торговых площадок;<br/>
•	Выгрузка информации о тендерах ;<br/>
•	Отбор поставщиков на основании заданных условий.
### Роботы-продавцы
•	Проверка благонадежности контрагентов;<br/>
•	Формирование коммерческих предложений.
## С чего начать
Для начала работы скачайте студию Lexema-RPA Studio на сайте <a href="http://lexema.ru/lexemarpastudio/registratsiya/">сайте</a>. Перед началом скачивания вам будет предложена регистрация. Регистрация на сайте обязательна, так как доступ в студию осуществляется после авторизации пользователя. После окончания регистрации начнется скачивание установщика.
После этого запустите установщик и в открывшемся диалоговом окне нажмите на кнопку «Next». 



